package com.prolog.eis.utils;

import com.prolog.framework.core.restriction.GetterFunction;

/**
 * @author zhanghan
 */
public class MapUtils {

    private MapUtils() {
        throw new IllegalStateException("Utility class");
    }

    public static <T> MapToolKit put(GetterFunction<T, Object> func, Object value) {
        MapToolKit kit = new MapToolKit();
        return kit.put(func, value);
    }

}
